#include "simple-common.shader"

varying vec2 v_TexCoord;
varying vec4 v_Position;

// subtract u_Texture1 from u_Texture0
// (result = u_Texture0 - u_Texture1)
uniform sampler2D u_Texture0;
uniform sampler2D u_Texture1;

void main()
{
    vec3 texel0 = texture2D(u_Texture0, v_TexCoord).rgb;
    vec3 texel1 = texture2D(u_Texture1, v_TexCoord).rgb;
    vec3 result = texel0 - texel1;

    gl_FragColor = vec4(result, 1.0);
}