#include "simple-common.shader"

// NOTE: keep same as SearchLightPhotonTracer.prototype.evalPhase()
float evalPhase(float _g, vec3 wi, vec3 wo)
{
    float cosTheta = dot(wi, wo);
    float term = 1.0 + _g*_g - 2.0*_g*cosTheta;
    return (1.0 / (4.0 * PI)) * (1.0 - _g * _g) / (term * sqrt(term));
}