# Temporally sliced photon primitives for time-of-flight rendering -- supplemental material
This archive contains the transient videos and interactive webGL renderer for the paper: ["Temporally sliced photon primitives for time-of-flight rendering"](https://cs.dartmouth.edu/~wjarosz/publications/liu22temporally.html).

The offline renderer is additionally available [on github](https://github.com/GhostatSpirit/tungsten-transient-public).

# Cite
If you use this material in scientific work, please cite the original publication:

Yang Liu, Shaojie Jiao, Wojciech Jarosz. Temporally sliced photon primitives for time-of-flight rendering. Computer Graphics Forum (Proceedings of EGSR), 41(4), July 2022.

```
@article{liu22temporally,
    author   = {Liu, Yang and Jiao, Shaojie and Jarosz, Wojciech},
    title    = {Temporally sliced photon primitives for time-of-flight rendering},
    journal  = {Computer Graphics Forum (Proceedings of EGSR)},
    year     = {2022},
    month    = jul,
    volume   = {41},
    number   = {4},
    issn     = {1467-8659},
    doi      = {10/jgzq},
    keywords = {photon surfaces, photon mapping, participating media, multiple importance sampling, MIS}
}
```